<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>cn.axzo.infra</groupId>
        <artifactId>axzo-parent</artifactId>
        <version>2.4.13.5</version>
    </parent>

    <groupId>cn.axzo.workflow</groupId>
    <artifactId>workflow-engine</artifactId>
    <packaging>pom</packaging>
    <version>${revision}</version>
    <name>workflow-engine</name>

    <properties>
        <revision>1.2.1-SNAPSHOT</revision>
        <axzo-bom.version>2.0.0-SNAPSHOT</axzo-bom.version>
        <axzo-dependencies.version>2.0.0-SNAPSHOT</axzo-dependencies.version>
        <lombok.version>1.18.22</lombok.version>
        <mapstruct.version>1.4.2.Final</mapstruct.version>
        <mysql.version>8.0.20</mysql.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <!-- 导入axzo通用api依赖 -->
            <dependency>
                <groupId>cn.axzo.infra</groupId>
                <artifactId>axzo-bom</artifactId>
                <version>${axzo-bom.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>cn.axzo.infra</groupId>
                <artifactId>axzo-dependencies</artifactId>
                <version>${axzo-dependencies.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>${project.groupId}</groupId>
                <artifactId>workflow-engine-api</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>${project.groupId}</groupId>
                <artifactId>workflow-engine-common</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>${project.groupId}</groupId>
                <artifactId>workflow-engine-core</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>${project.groupId}</groupId>
                <artifactId>workflow-engine-server</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.axzo.maokai</groupId>
                <artifactId>maokai-api</artifactId>
                <version>${axzo-dependencies.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.axzo.karma</groupId>
                <artifactId>karma-api</artifactId>
                <version>${axzo-dependencies.version}</version>
            </dependency>
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>${mysql.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <plugins>
            <!-- maven-compiler-plugin 插件，解决 Lombok + MapStruct 组合 -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <annotationProcessorPaths>
                        <path>
                            <groupId>org.projectlombok</groupId>
                            <artifactId>lombok</artifactId>
                            <version>${lombok.version}</version>
                        </path>
                        <path>
                            <groupId>org.mapstruct</groupId>
                            <artifactId>mapstruct-processor</artifactId>
                            <version>${mapstruct.version}</version>
                        </path>
                    </annotationProcessorPaths>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <repositories>
        <repository>
            <id>axzo</id>
            <name>axzo repository</name>
            <url>https://nexus.axzo.cn/repository/axzo/</url>
        </repository>
    </repositories>
    <modules>
        <module>workflow-engine-api</module>
        <module>workflow-engine-common</module>
        <module>workflow-engine-core</module>
        <module>workflow-engine-server</module>

    </modules>
</project>
